## SYMVAR Find Symbolic Variables in an Expression

Section: Function Related Functions

### Usage

Finds the symbolic variables in an expression. The syntax for its use is

      syms = symvar(expr)

where `expr` is a string containing an expression, such as `'x^2 + cos(t+alpha)'`. The result is a cell array of strings containing the non-function identifiers in the expression. Because they are usually not used as identifiers in expressions, the strings `'pi','inf','nan','eps','i','j'` are ignored.

### Example

Here are some simple examples:

    --> symvar('x^2+sqrt(x)')  % sqrt is eliminated as a function
    ans =
      <cell array> - size: [1 1]
     x
    --> symvar('pi+3')         % No identifiers here
    ans =
      <cell array> - size: [0 0]
      []
    --> symvar('x + t*alpha')  % x, t and alpha
    ans =
      <cell array> - size: [1 3]

    Columns 1 to 3
     alpha    t    x